REM ************************************************************************
REM  * ProActive Expoert Service Programs
REM  * Version 1.1
REM  * Copyright(C) 2002.7   WizBase Co., Ltd
REM  ************************************************************************
REM *  FileName  : bg_param_sum.sql
REM * Author    : KeonTaek.Lee
REM * Created  : 2002.7.26
REM * Last Update  :
REM * Description : parameter summary
REM *************************************************************************

SELECT name, value, isdefault from v$system_parameter@@
where name in ('timed_statistics','compatible','parallel_max_servers','processes','optimizer_mode',
	'db_block_size','db_file_multiblock_read_count','hash_join_enabled',
	'sort_area_size','sort_area_retained_size','O7_DICTIONARY_ACCESSIBILITY','user_dump_dest'
	,'undo_management','pga_aggregate_target','db_writer_processes','cursor_sharing',
	'undo_management','hash_area_size','session_cached_cursors','workarea_size_policy'
	,'db_cache_size','shared_pool_reserved_size','shared_pool_size','db_block_buffers','log_buffer'
	,'sga_max_size')
ORDER BY name;


REM  ************************************************************************
REM  * End of script
REM  ************************************************************************