REM ************************************************************************
REM  * ProActive Expoert Service Programs
REM  * Version 1.0
REM  * Copyright(C) 2004.2   WizBase Co., Ltd
REM  ************************************************************************
REM *  FileName  : db_chain_table
REM * Author    : KeonTaek.Lee
REM * Created  : 2002.5.22
REM * Last Update  :
REM * Description : Chained Row Information
REM *************************************************************************

PROMPT  ========================================================================
PROMPT  DB Information
PROMPT  ========================================================================
PROMPT    Goal   : 
PROMPT    Action : 
PROMPT    Desc   : @?/rdbms/admin/utlchain.sql  ̺  
PROMPT             chained_rows Temp ̺  Insert Ǵ Row Size 
PROMPT      pctfree , block size   table и .
PROMPT      ũƮ  Analyze Ǵ ȯ濡 밡
PROMPT    FileName : db_chain_table.sql
PROMPT                
PROMPT  ========================================================================

SELECT * FROM (
SELECT /*+ NO_MERGE(D1) USE_HASH(D1 D2) DRIVING_SITE(D1)*/
  D1.OWNER,
  D1.TABLE_NAME,
  D1.TABLESPACE_NAME TS_NAME,
  ROUND(D2.BYTES/1024/1024,1) MB,
  PCT_FREE,
  PCT_USED,
  AVG_ROW_LEN,
  CHAIN_CNT,
  NUM_ROWS,
  ROUND(NVL(CHAIN_CNT,0)*100/NVL(NUM_ROWS,1)) "RATIO(%)"
FROM DBA_TABLES@@ D1, DBA_SEGMENTS@@ D2
WHERE CHAIN_CNT > 10
AND D1.OWNER = D2.OWNER
AND D2.SEGMENT_NAME = D1.TABLE_NAME )
WHERE "RATIO(%)" > 1
ORDER BY "RATIO(%)" DESC;


REM  ************************************************************************
REM  * End of script
REM  ************************************************************************




