REM ************************************************************************
REM  * ProActive Expoert Service Programs
REM  * Version 1.0
REM  * Copyright(C) 2004.2   WizBase Co., Ltd
REM  ************************************************************************
REM *  FileName  : db_objinfo.sql
REM * Author    : 
REM * Created  : 2001.7.2
REM * Last Update  :
REM * Description : Object Information
REM *************************************************************************

PROMPT  ========================================================================
PROMPT  Object Information
PROMPT  ========================================================================
PROMPT    Goal   : 
PROMPT    Action : 
PROMPT    Desc   : 
PROMPT    FileName : db_objinfo.sql
PROMPT                
REM     Check Point  : TABLE INDEX 
PROMPT  ========================================================================


SELECT  A.OWNER, 
 NVL(A.TAB,0) AS TAB, 
 NVL(A.IDX,0) AS IDX, 
 ROUND(NVL(A.IDX,0)*100/DECODE(A.TAB,0,1,A.TAB),1) IDX_Ratio, 
 NVL(A.VEW,0) AS VEW,
 NVL(A.SYN,0) AS SYN, 
 NVL(A.SEQ,0) AS SEQ, 
 NVL(A.TRG,0) AS TRG,
 NVL(A.PRO,0) AS PRO, 
        NVL(A.DBL,0) AS DBL, 
 NVL(A.PRO,0) AS PRO, 
 NVL(A.FUN,0) AS FUN,
 NVL(A.CLU,0) AS CLU, 
 NVL(A.PKG,0) AS PKG, 
 NVL(A.PKB,0) AS PKB,
 NVL(B.PK,0)  AS PK#, 
 NVL(B.FK,0)  AS FK#
FROM (SELECT OWNER,  
  COUNT(DECODE(OBJECT_TYPE,'TABLE',1))         AS TAB,
           COUNT(DECODE(OBJECT_TYPE,'INDEX',1))         AS IDX,
  COUNT(DECODE(OBJECT_TYPE,'VIEW',1))          AS VEW,
  COUNT(DECODE(OBJECT_TYPE,'SYNONYM',1))       AS SYN,
  COUNT(DECODE(OBJECT_TYPE,'SEQUENCE',1))      AS SEQ,
  COUNT(DECODE(OBJECT_TYPE,'TRIGGER',1))       AS TRG,
  COUNT(DECODE(OBJECT_TYPE,'DATABASE LINK',1)) AS DBL,
  COUNT(DECODE(OBJECT_TYPE,'PROCEDURE',1))     AS PRO,
  COUNT(DECODE(OBJECT_TYPE,'FUNCTION',1))      AS FUN,
  COUNT(DECODE(OBJECT_TYPE,'PACKAGE',1))       AS PKG,
  COUNT(DECODE(OBJECT_TYPE,'PACKAGE BODY',1))  AS PKB,
  COUNT(DECODE(OBJECT_TYPE,'CLUSTER',1))       AS CLU
  FROM   DBA_OBJECTS@@
  GROUP  BY OWNER ) A,  
 (SELECT OWNER,          
  SUM(DECODE(CONSTRAINT_TYPE,'P',1)) AS PK,
  SUM(DECODE(CONSTRAINT_TYPE,'R',1)) AS FK
  FROM   DBA_CONSTRAINTS@@
  GROUP  BY OWNER ) B
  WHERE  A.OWNER = B.OWNER(+)
 ORDER BY A.TAB DESC;

REM  ************************************************************************
REM  * End of script
REM  ************************************************************************





