--PROMPT  ========================================================================
--PROMPT  PARTITION SKEW RATIO
--PROMPT  ========================================================================
--PROMPT    Goal   : 200%
--PROMPT    Action : Ƽ SPLIT ش.
--PROMPT    Desc   :   
--PROMPT    FileName : db_part_skew_ratio.sql
--PROMPT                
--PROMPT  ========================================================================
            
    SELECT * FROM (
    SELECT OWNER,
        SEGMENT_NAME, 
        SEGMENT_TYPE, 
        MAX(MB) MAX1_MB, 
        MIN(MB) MAX2_MB,
        ROUND(MAX(MB)*100/DECODE(MIN(MB),0,1,MIN(MB)),1) SKEW_RATIO
     FROM (
        SELECT OWNER,
            SEGMENT_NAME, 
            SEGMENT_TYPE,
            ROUND(BYTES/1024/1024,1) MB,
            RANK() OVER (PARTITION BY SEGMENT_NAME, SEGMENT_TYPE ORDER BY BYTES DESC) RK
        FROM DBA_SEGMENTS@@
        WHERE PARTITION_NAME IS NOT NULL )
    WHERE RK <=2
    AND OWNER NOT IN ('SYS','SYSTEM')
    GROUP BY OWNER,SEGMENT_NAME, SEGMENT_TYPE )
    WHERE SKEW_RATIO >= 200
    ORDER BY SKEW_RATIO DESC ;



=================================================================================================





