REM ************************************************************************
REM  * Expert On-site Review Programs
REM  * Version 1.0
REM  * Copyright(C) 2004.2   WizBase Co., Ltd
REM  ************************************************************************
REM *  FileName  : db_px_seg_detail.sql
REM * Author    : KeonTaek.Lee
REM * Created  : 2002.2.28.
REM * Last Update  :
REM * Description : 
REM *************************************************************************

PROMPT  ========================================================================
PROMPT  Parallel Segment Detail
PROMPT  ========================================================================
PROMPT    Goal   : 
PROMPT    Action : 
PROMPT    Desc   : 
PROMPT    FileName : db_px_seg_detail.sql
PROMPT                
PROMPT  ========================================================================

SELECT 'TABLE' SEG_TYPE, DEGREE,OWNER,TABLE_NAME, TABLESPACE_NAME, TABLE_NAME 
FROM DBA_TABLES@@
WHERE OWNER NOT IN ('SYS','SYSTEM','ORANGE','SCOTT','DBMAX','BIZMAX')
AND TRIM(DEGREE) NOT IN ('1','0')
UNION ALL
SELECT 'INDEX' SEGTYPE, DEGREE,OWNER,INDEX_NAME, TABLESPACE_NAME, TABLE_NAME 
FROM DBA_INDEXES@@
WHERE OWNER NOT IN ('SYS','SYSTEM','ORANGE','SCOTT','DBMAX','BIZMAX')
AND LTRIM(DEGREE) NOT IN  ('1','0') ;

REM  ************************************************************************
REM  * End of script
REM  ************************************************************************

