SELECT OWNER, SUM(STAT)+SUM(NO_STAT) TOTOAL, SUM(STAT) STAT, SUM(NO_STAT) NO_STAT,
    ROUND(SUM(STAT)*100/DECODE((SUM(STAT)+SUM(NO_STAT)),0,1,(SUM(STAT)+SUM(NO_STAT))),1) STAT_RATIO
FROM (
    SELECT OWNER, 'TABLE' SEG_TYPE, 
        SUM(DECODE(EMPTY_BLOCKS, NULL, 0, 1)) STAT,
        SUM(DECODE(EMPTY_BLOCKS, NULL, 1, 0)) NO_STAT
    FROM (
        SELECT OWNER, EMPTY_BLOCKS FROM DBA_TABLES
        WHERE OWNER NOT IN ('SYS','SYSTEM','ORANGE','SCOTT','DBMAX','BIZMAX','TPA')
    )
    GROUP BY OWNER
    UNION ALL
    SELECT OWNER, 'INDEX' SEG_TYPE, 
        SUM(DECODE(BLEVEL, NULL, 0, 1)) STAT,
        SUM(DECODE(BLEVEL, NULL, 1, 0)) NO_STAT
    FROM (
        SELECT OWNER, BLEVEL FROM DBA_INDEXES
        WHERE OWNER NOT IN ('SYS','SYSTEM','ORANGE','SCOTT','DBMAX','BIZMAX','TPA')
    )
    GROUP BY OWNER
--    ORDER BY OWNER, SEG_TYPE
)
GROUP BY OWNER;