REM ************************************************************************
REM  * ProActive Expoert Service Programs
REM  * Version 1.0
REM  * Copyright(C) 2004.2   WizBase Co., Ltd
REM  ************************************************************************
REM *  FileName  : db_storage_index.sql
REM * Author    : KeonTaek.Lee
REM * Created  : 2002.2.28.
REM * Last Update  :
REM * Description : 
REM *************************************************************************

PROMPT  ========================================================================
PROMPT  Index Storage Parameter Check
PROMPT  ========================================================================
PROMPT    Goal   : 
PROMPT    Action : 
PROMPT    Desc   : 
PROMPT    FileName : db_storage_index.sql
PROMPT                
PROMPT  ========================================================================

SELECT 'INDEX COUNT' ITEM, COUNT(*) COUNT FROM DBA_INDEXES@@
WHERE OWNER NOT IN ('SYS','SYSTEM','ORANGE','SCOTT','DBMAX','BIZMAX')
UNION ALL
SELECT 'INI_TRANS > 2',COUNT(*) FROM (
SELECT 'INI_TRANS > 2',OWNER,INDEX_NAME, TABLESPACE_NAME, INI_TRANS VALUE FROM DBA_INDEXES@@
WHERE OWNER NOT IN ('SYS','SYSTEM','ORANGE','SCOTT','DBMAX','BIZMAX')
AND  INI_TRANS > 2)
UNION ALL
SELECT 'FREELISTS <> 1',COUNT(*) FROM (
SELECT 'FREELISTS <> 1',OWNER,INDEX_NAME, TABLESPACE_NAME, FREELISTS VALUE FROM DBA_INDEXES@@
WHERE OWNER NOT IN ('SYS','SYSTEM','ORANGE','SCOTT','DBMAX','BIZMAX')
AND FREELISTS <> 1)
UNION ALL
SELECT 'FREELIST_GROUPS <> 1',COUNT(*) FROM (
SELECT 'FREELIST_GROUPS <> 1',OWNER,INDEX_NAME, TABLESPACE_NAME, FREELIST_GROUPS VALUE FROM DBA_INDEXES@@
WHERE OWNER NOT IN ('SYS','SYSTEM','ORANGE','SCOTT','DBMAX','BIZMAX')
AND FREELIST_GROUPS <> 1)
UNION ALL
SELECT 'PCT_INCREASE <> 0',COUNT(*) FROM (
SELECT 'PCT_INCREASE <> 0',OWNER,INDEX_NAME, TABLESPACE_NAME, PCT_INCREASE VALUE FROM DBA_INDEXES@@
WHERE OWNER NOT IN ('SYS','SYSTEM','ORANGE','SCOTT','DBMAX','BIZMAX')
AND PCT_INCREASE <> 0)
UNION ALL
SELECT 'PARALLEL DEGREE <> 1',COUNT(*) FROM (
SELECT 'DEGREE <> 1',OWNER,INDEX_NAME, TABLESPACE_NAME, DEGREE VALUE FROM DBA_INDEXES@@
WHERE OWNER NOT IN ('SYS','SYSTEM','ORANGE','SCOTT','DBMAX','BIZMAX')
AND LTRIM(DEGREE) NOT IN  ('1','0'))
UNION ALL
SELECT 'partition index',COUNT(*) FROM (
SELECT DISTINCT INDEX_NAME FROM DBA_IND_PARTITIONS@@
WHERE INDEX_OWNER NOT IN ('SYS','SYSTEM','ORANGE','SCOTT','DBMAX','BIZMAX')
)
UNION ALL
SELECT 'statistic Exists',COUNT(*) FROM (
SELECT 'statistic Exists',OWNER,INDEX_NAME, TABLESPACE_NAME, BLEVEL VALUE FROM DBA_INDEXES@@
WHERE OWNER NOT IN ('SYS','SYSTEM','ORANGE','SCOTT','DBMAX','BIZMAX')
AND BLEVEL IS NOT NULL)
UNION ALL
SELECT 'Partition statistic Exists',COUNT(*) FROM (
SELECT 'Partition statistic Exists',INDEX_OWNER,INDEX_NAME, TABLESPACE_NAME, BLEVEL VALUE FROM DBA_IND_PARTITIONS
WHERE INDEX_OWNER NOT IN ('SYS','SYSTEM','ORANGE','SCOTT','DBMAX','BIZMAX')
AND BLEVEL IS NOT NULL);

REM  ************************************************************************
REM  * End of script
REM  ************************************************************************








