REM ************************************************************************
REM  * ProActive Expoert Service Programs
REM  * Version 1.0
REM  * Copyright(C) 2004.2   WizBase Co., Ltd
REM  ************************************************************************
REM *  FileName  : io_pysio_temp.sql
REM * Author    : 
REM * Created  : 2001.7.3
REM * Last Update  :
REM * Description : tempfile Physical read/write percent
REM *************************************************************************

PROMPT  ========================================================================
PROMPT  Physical read/write percent
PROMPT  ========================================================================
PROMPT    Goal   :  ũ  
PROMPT    Action : л  Tempfile 
PROMPT    Desc   : 
PROMPT    FileName : io_phyio_temp.sql
PROMPT                
PROMPT  ========================================================================

COLUMN  name    FORMAT A40 heading 'Datafile Name' 
COLUMN  ts        FORMAT A8 heading 'TS Name'    
COLUMN  pr   FORMAT 999 heading '%PR' 
COLUMN  pw    FORMAT 999 heading '%PW' 

SELECT  tablespace_name ts,
 name,
 phyrds,
 phywrts,
 phyrds+phywrts sum_cnt,
 phyblkrd,
 phyblkwrt,
 phyblkrd+phyblkwrt sum_blk,
 round((phyrds * 100 / trw.phys_reads),2) pr,
 round((phywrts * 100 / trw.phys_wrts),2) pw,
 round(phyblkrd/phyrds,2) blk_rd
FROM  (select SUM(phyrds) phys_reads, SUM(phywrts) phys_wrts  
  from v$tempstat@@) trw,  
 v$tempfile@@ df, 
 v$tempstat@@ fs,
 dba_temp_files@@ d
WHERE  df.file# = fs.file#
AND df.file# = d.file_id
AND phyrds > 0 and phywrts > 0
ORDER  BY phyrds+phywrts desc;

REM  ************************************************************************
REM  * End of script
REM  ************************************************************************


*  BLK_RD Datafile  segment ã SQL.

SELECT *
FROM DBA_SEGMENTS
WHERE RELATIVE_FNO IN (
    SELECT RFILE#
    FROM V$DATAFILE
    WHERE NAME IN ('D:\DATA\WVSPA2.DBF','XXX','YYY'))


