REM	************************************************************************
REM 	*	Expert On-site Review Programs
REM 	*	Version 1.0
REM 	*	Copyright(C) 2001.5   WizBase Co., Ltd
REM 	************************************************************************
REM	* 	FileName 	: rac_fusion_Write_ratio.sql
REM	*	Author   	: Hyuncheol.Kim
REM	*	Created		: 2001.7.2
REM	*	Last Update 	:
REM	*	Description	: Fusion Writes to Physical Writes Ratio
REM	*************************************************************************

PROMPT 	========================================================================
PROMPT 	Fusion Writes to Physical Writes Ratio
PROMPT  ========================================================================
PROMPT 	  Goal   :  .
PROMPT 	  Action : 
PROMPT 	  Desc   :  νϿ   , , Global dIRTY  
PROMPT             Write ̴. Hot Block    ġ δ.
PROMT              Hot Block ȸϿ ش  ݿ  ġ ʿϴ.
PROMPT    FileName : rac_fusion_Write_ratio.sql
PROMPT                
PROMPT 	========================================================================

SELECT a.value "DBWR fusion writes",
  b.value "physical writes",
  f.value "physical writes direct",
  g.value "physical writes direct (lob)",
  Round(((a.value)/DECODE((b.value+f.value+g.value),0,1,(b.value+f.value+g.value)))*100,3) "Fusion Write Ratio"
FROM v$sysstat@@ a,
  v$sysstat@@ b,
  v$sysstat@@ f,
  v$sysstat@@ g
WHERE a.name='DBWR fusion writes'
  AND b.name='physical writes'
  AND f.name='physical writes direct'
  AND g.name='physical writes direct (lob)';

REM 	************************************************************************
REM 	*	End of script
REM 	************************************************************************
