REM ************************************************************************
REM  * ProActive Expoert Service Programs
REM  * Version 1.0
REM  * Copyright(C) 2004.2   WizBase Co., Ltd
REM  ************************************************************************
REM *  FileName  : sn_mts_tune.sql
REM * Author    : KTLee
REM * Created  : 2001.12.6
REM * Last Update  :
REM * Description : MTS Tuning Info.
REM *************************************************************************


REM  ************************************************************************

PROMPT  ========================================================================
PROMPT  MTS Tuning Info.
PROMPT  ========================================================================
PROMPT    Goal   : 
PROMPT    Action : 
PROMPT    Desc   : 
PROMPT    FileName : sn_mts_tune.sql
PROMPT                
PROMPT  ========================================================================


SELECT * 
FROM V$MTS@@;

REM  ************************************************************************
REM  * End of script
REM  ************************************************************************


< V$MTS >

This view contains information for tuning the multi-threaded server. 

Column   Datatype   Description   
MAXIMUM
_CONNECTIONS  
 NUMBER  
 The maximum number of connections each dispatcher can support. This value is determined at startup time using Net8 constants and other port-specific information, or can be lowered using the MTS_DISPATCHERS parameter  
 
SERVERS
_STARTED  
 NUMBER  
 The total number of multi-threaded servers started since the instance started (but not including those started during startup)  
 
SERVERS
_TERMINATED  
 NUMBER  
 The total number of multi-threaded servers stopped by Oracle since the instance started  
 
SERVERS
_HIGHWATER  
 NUMBER  
 The highest number of servers running at one time since the instance started. If this value reaches the value set for the MTS_MAX_SERVERS initialization parameter, consider raising the value of MTS_SERVERS. For more information, see "MTS_SERVERS"  
 
     maximum_connection : system dispathcer cover  ִ
                          client maximum number
     server_started     : instance ö  PMON  start
                          shared server ̸ ⿡ startup 
                             ڴ Ե ʴ´.
     Server_terminated   : instance start  idleϿ terminate
                           shared server .
     Server_highwater    : instance start  ִ shared server
                             .

     STARTED, TERMINATED   ʴ´ٸ system shared
     server  ʹ  ִ ̰ ʹ  ũ
     ö󰡸 MTS_SERVERS  ʹ  ̹Ƿ ø.



