
REM  ************************************************************************
REM *  FileName  : 
REM * Author    : 
REM * Created  : 2001.7.2
REM * Last Update  :
REM * Description : 
REM *************************************************************************


PROMPT  *************************************************************************
PROMPT  * Count of executions, grouped by minutes cached.
PROMPT  *************************************************************************
PROMPT  *  Goal   : 
PROMPT  *  Action : 
PROMPT  *  Desc   :   CACHE Ǿ° Ǵ
PROMPT  *  FileName : sql_cnt_Exec_cached.sql
PROMPT  *       
PROMPT  *************************************************************************

SELECT Min_Cached, 
       COUNT(*),
       ROUND(AVG(Executions),2) avg_exec
  FROM (
        SELECT DECODE(Min_Cached,
               0,'1) 00-01min',
               1,'2) 01-02min',
               2,'2) 01-02min',
               DECODE(SIGN(Min_Cached-6),-1,'3) 03-05min',
                DECODE(SIGN(Min_Cached-16),-1,'4) 06-15min',
                 DECODE(SIGN(Min_Cached-31),-1,'5) 16-30min',
                  DECODE(SIGN(Min_Cached-61),-1,'6) 31-60min',
                   DECODE(SIGN(Min_Cached-121),-1,'7)  1- 2hr',
                    '8)  2hr+  ')))))) Min_Cached,
               Executions
          FROM (
               SELECT ROUND((SysDate-
                       TO_DATE(First_Load_Time,
                       'yyyy-mm-dd/hh24:mi:ss'))*24*60) Min_Cached,
                      Executions
                 FROM V$SQLAREA@@
                WHERE Parsing_User_ID != 0
               )
        )
 GROUP BY Min_Cached;


REM  ************************************************************************
REM  * End of script
REM  ************************************************************************


