
REM 	************************************************************************
REM	* 	FileName 	: st_buffcache_hit.sql
REM	*	Author   	: 
REM	*	Created		: 2001.7.2
REM	*	Last Update 	:
REM	*	Description	: Buffer Cache Hit Ratio
REM	*************************************************************************

PROMPT 	========================================================================
PROMPT 	Buffer Cache Hit Ratio
PROMPT  ========================================================================
PROMPT 	  Goal   : 
PROMPT 	  Action : 
PROMPT 	  Desc   : 
PROMPT    FileName : st_buffcache_hit816.sql
PROMPT                
PROMPT 	========================================================================

COLUMN 	Hit_Ratio		FORMAT	999.9999	HEADING "Buffer Cache Hit Ratio"

SELECT	sum(decode(name,'physical reads',value,0))	"Physical Reads", 
	sum(decode(name,'db block gets',value,0))	"db block gets",
	sum(decode(name,'consistent gets',value,0))	"consistent gets",
	sum(decode(name,'db block gets',value,0)) + sum(decode(name,'consistent gets',value,0)) "Logical Reads",
	sum(decode(name,'physical writes',value,0))	"Physical Writes",
	round(((1-(sum(decode(name,'physical reads',value,0)) / 
		  (sum(decode(name,'db block gets',value,0)) +
		  (sum(decode(name,'consistent gets',value,0))))))*100),2) || '%' "Hit_Ratio"
FROM 	v$sysstat@@;

REM 	************************************************************************
REM 	*	End of script
REM 	************************************************************************
