
REM  ************************************************************************
REM *  FileName  : st_latch_redoalloc.sql
REM * Author    : 
REM * Created  : 2001.7.2
REM * Last Update  :
REM * Description : Redo allocation latch contention
REM *************************************************************************

PROMPT  ========================================================================
PROMPT  Redo allocation latch contention
PROMPT  ========================================================================
PROMPT    Goal   : 1% ̸ (miss/get)           : redo allocation
PROMPT    Action : LOG_BUFFERS :  ߰ ũ ý ϶  64K, 
PROMPT      ū ý  640K - 1M   ϴ 
PROMPT       Ϲ ̴.
PROMPT    
PROMPT             1.    "misses_gets ratio" Ȥ 
PROMPT                 "immediate misses_gets ratio" 1% ʰϸ
PROMPT                 latch contention  Ͼ ִ.
PROMPT             2. log_small_entry_max_size  δ.
PROMPT             3. LOG_SIMULTANEOUS_COPIES
PROMPT                뷮 ¶ Ʈ ߻ϴ 쿡 ϵ CPU  
PROMPT                 2   Ǵ  Ѵ.
PROMPT             4. LOG_SMALL_ENTRY_MAX_SIZE (8.1.3 )
PROMPT                 뷮 ¶ Ʈ ߻ϴ 쿡 Ʈ   
PROMPT                 Ǵ  Ѵ.
PROMPT                 log_  ϴ  Ҵ  ƮǴ   
PROMPT                  뷮 ¶ Ʈ Ѳ ߻ϴ  
PROMPT                 ý 쿡  ʿ䰡 ִ.
PROMPT    Desc   : 
PROMPT    FileName : st_latch_redoalloc.sql
PROMPT               
PROMPT  ========================================================================

COLUMN  name   FORMAT A30  HEADING "Latch Name"
COLUMN  mg   FORMAT 999.9999 HEADING "Miss Ratio"

SELECT name "Latch Name",
 (misses/decode(gets, 0, 1, gets))*100 "Miss Ratio"
FROM v$latch@@
WHERE name = 'redo allocation';

REM  ************************************************************************
REM  * End of script
REM  ************************************************************************

ֽ    
"TUNING THE REDOLOG BUFFER & LATCH(REDO Allocation, Redo copy latch).html" .

 : log Ķ(redo copy, redo alloc, redocopy redoalloc).txt   .


    LOG_SIMULTANEOUS_COPIES : α  ׸  ÿ    ̿밡
    redo buffer copy latches ִ ̰ zero(single process system)̸
     ΰ Ķʹ ǹ̰ . 

    LOG_SMALL_ENTRY_MAX_SIZE :  redo
    buffer allocation latch copy ÿ ϱ   ū copy size.
    ̰ͺ ū  allocation latch copy latch   Ѵ.
    ̰  8.x뿡  _log  

     LOG_ENTRY_PREBUILD_THRESHOLD  :  log   buffer
    copyǱ Բ Ǿ Redo data max bytes.



[̻ ]
_LOG_SIMULTANEOUS_COPIES(8i)  - REDO COPY .
"0"  ,  Redo Allocation Latch Buffer Space Ȯ  Redo Entries Log Buffer 
"0"  ū ,  Redo Allocation Latch Buffer Space Ȯϰ  Copy Latch Redo Entries Log Buffer 
SMP  CPU ~ CPU*2  Ϲ Ʃ ǥ
Misses Immediate_Misses  Ratio < 1%


