
REM  ************************************************************************
REM *  FileName  : st_pgauga_smy_peak.sql
REM * Author    : 
REM * Created  : 2001.7.2
REM * Last Update  :
REM * Description : Current PGA,UGA session memory
REM *************************************************************************

PROMPT  ========================================================================
PROMPT  Summary Max(peak) PGA,UGA session memory
PROMPT  ========================================================================
PROMPT    Goal   : 
PROMPT    Action : 
PROMPT    Desc   : 
PROMPT    FileName : st_pgauga_smy_peak.sql
PROMPT                
PROMPT  ========================================================================


SELECT /*+ ordered */
 sum(decode(name.name,'session pga memory max',trunc(value/1024/1024),0))||'M' as Sum_Max_PGA_peak,
 sum(decode(name.name,'session uga memory max',trunc(value/1024/1024),0))||'M'  as Sum_Max_UGA_peak
FROM  v$statname@@ name, v$sesstat@@ stat, v$session@@ sess
WHERE  sess.sid = stat.sid
AND  stat.statistic# = name.statistic#
AND  name.name like 'session%';


REM  ************************************************************************
REM  * End of script
REM  ************************************************************************



