
REM  ************************************************************************
REM *  FileName  : st_rbs_stat.sql
REM * Author    : 
REM * Created  : 2001.7.2
REM * Last Update  :
REM * Description : Rollback Segment Statistics
REM *************************************************************************

PROMPT  ========================================================================
PROMPT  Rollback Segment Statistics
PROMPT  ========================================================================
PROMPT    Goal   : 
PROMPT    Action : optimal aveactive  aveshrink ũ Ѵ.
PROMPT             wraps  initial,next ũ Ѵ.
PROMPT    Desc   : 
PROMPT    FileName : st_rbs_stat.sql
PROMPT            
PROMPT  ========================================================================

COLUMN  ext     FORMAT 999
COLUMN  wri_m    FORMAT 999999
COLUMN  siz_k    FORMAT 999999
COLUMN  waits    FORMAT 999
COLUMN  opt      FORMAT 999999 HEADING 'optimal'
COLUMN  active    FORMAT 999999 
COLUMN  shrink    FORMAT 999999 
COLUMN  get_k     FORMAT 99999 
COLUMN  waits     FORMAT 9999 

SELECT  a.name sn,
 round(b.writes/1024/1024) wri_m,
        b.xacts active,
 b.shrinks shrink,
 round(b.optsize/1024) opt_k,
        round(gets/1024) get_k,
 waits,
 wraps,
 aveactive,aveshrink,rssize,hwmsize,extends
FROM  v$rollname@@ a,v$rollstat@@ b
WHERE   a.usn = b.usn
ORDER BY 1;

REM  ************************************************************************
REM  * End of script
REM  ************************************************************************


