
REM  ************************************************************************
REM *  FileName  : st_segstat_logicalRead.9a.sql
REM * Author    : 
REM * Created  : 2001.7.2
REM * Last Update  :
REM * Description : 
REM * Goal  :
REM * Action  :
REM *************************************************************************

SELECT /*+ LEADING(V) USE_HASH(V D) */
V.*, ROUND(D.BYTES/1024/1024,1) MB FROM (
select ROWNUM RN, V.* from (
select 'logical reads' title, OWNER, OBJECT_NAME, subobject_name, OBJECT_TYPE,VALUE from v$segment_statistics@@
where STATISTIC_NAME = 'logical reads'
and value > 100
order by value desc) V
where rownum <=50
union all
select  ROWNUM RN, V.* from (
select  'buffer busy waits' title, OWNER, OBJECT_NAME, subobject_name, OBJECT_TYPE,VALUE from v$segment_statistics@@
where STATISTIC_NAME = 'buffer busy waits'
and value > 100
order by value desc) V
where rownum <=50
) V, DBA_SEGMENTS@@ D
WHERE V.OWNER = D.OWNER
AND V.OBJECT_NAME = D.SEGMENT_NAME
AND NVL(V.SUBOBJECT_NAME,'@@') = NVL(D.PARTITION_NAME,'@@')
ORDER BY RN, TITLE;



REM  ************************************************************************
REM  * End of script
REM  ************************************************************************





