
REM 	************************************************************************
REM	* 	FileName 	: st_sort_ratio.sql
REM	*	Author   	: 
REM	*	Created		: 2001.7.2
REM	*	Last Update 	:
REM	*	Description	: Disk sort ratio & Avarage rows
REM	*************************************************************************

PROMPT 	========================================================================
PROMPT 	Disk sort ratio
PROMPT 	========================================================================
PROMPT 	  Goal   : < 1%
PROMPT 	  Action : SORT_AREA_SIZE  ÷ش.
PROMPT 	  Desc   : 
PROMPT    FileName : st_sort_ratio.sql
PROMPT                
PROMPT 	========================================================================

SELECT	sum(decode(name,'sorts (rows)',value,0))	"rows",
	sum(decode(name,'sorts (disk)',value,0))	"disk",
	sum(decode(name,'sorts (memory)',value,0))	"memory",
	round(sum(decode(name,'sorts (rows)',value,0)) / 
	(sum(decode(name,'sorts (disk)',value,0)) + sum(decode(name,'sorts (memory)',value,0))),2) ave_rows,
	round(sum(decode(name,'sorts (disk)',value,0))/sum(decode(name,'sorts (memory)',value,0))*100,2) disk_ratio
FROM	v$sysstat@@;

REM 	************************************************************************
REM 	*	End of script
REM 	************************************************************************
