
REM  ************************************************************************
REM *  FileName  : st_sort_sessratio.sql
REM * Author    : 
REM * Created  : 2001.7.2
REM * Last Update  :
REM * Description : Disk sort ratio & Avarage rows
REM *************************************************************************

PROMPT  ========================================================================
PROMPT  Disk sort ratio (Session) (V8, V8i)
PROMPT  ========================================================================
PROMPT  *  Goal   : < 1%
PROMPT  *  Action : SORT_AREA_SIZE  ÷ش.
PROMPT  *  Desc   : 
PROMPT  *  FileName : st_sort_sessratio8.sql
PROMPT  *  
PROMPT  ========================================================================

SELECT  username,
      osuser,
      sd.value "Disk",
      sm.value "Memory",
      sr.value "Rows",
      round(sr.value/decode((sd.value+sm.value),0,1,(sd.value+sm.value)),3) avg_rows,
      round(sd.value/decode(sm.value,0,1,sm.value),3) disk_ratio
FROM  v$session@@ s, 
 v$sesstat@@ sd, 
 v$sesstat@@ sm, 
 v$sesstat@@ sr
WHERE  s.sid = sd.sid
AND  s.sid = sm.sid
AND  s.sid = sr.sid
AND  sm.statistic# =188
AND  sd.statistic# =189
AND  sr.statistic# =190
AND  s.type != 'BACKGROUND'
ORDER BY disk_ratio DESC;


REM  ************************************************************************
REM  * End of script
REM  ************************************************************************

