REM ************************************************************************
REM  * ProActive Expoert Service Programs
REM  * Version 1.0
REM  * Copyright(C) 2004.2   WizBase Co., Ltd
REM  ************************************************************************
REM *  FileName  : bg_datafile.sql
REM * Author    : 
REM * Created  : 2001.7.2
REM * Last Update  :
REM * Description : Data file Information
REM *************************************************************************

PROMPT  ========================================================================
PROMPT  Data file Information
PROMPT  ========================================================================

COLUMN file_id   FORMAT 9999  HEADING "FID"
COLUMN file_name   FORMAT A40
COLUMN tablespace_name  FORMAT A20  HEADING "TBS"
COLUMN bytes    FORMAT 999,999,999  HEADING "Mbytes"

SELECT tablespace_name,
 file_id,
 file_name,
 Round(bytes/1024/1024/1024,1) GB,
 status,
 autoextensible
FROM dba_data_files@@
ORDER BY tablespace_name, file_id;

REM  ************************************************************************
REM  * End of script
REM  ************************************************************************




