REM ************************************************************************
REM  * ProActive Expoert Service Programs
REM  * Version 1.0
REM  * Copyright(C) 2004.2   WizBase Co., Ltd
REM  ************************************************************************
REM *  FileName  : db_extent.sql
REM * Author    : 
REM * Created  : 2001.7.2
REM * Last Update  :
REM * Description : Extent Information
REM * 
REM *************************************************************************

PROMPT  ========================================================================
PROMPT  Extent Information ( 10 ̻ )
PROMPT  ========================================================================
PROMPT    Goal   : 
PROMPT    Action : 
PROMPT    Desc   : 
PROMPT    FileName : db_extent.sql
PROMPT                
PROMPT  ========================================================================

SELECT /* NO_MERGE(V1) NO_MERGE(V2) */
 V1.*, V2.* FROM (
SELECT  owner,
 segment_name,
 segment_type,
 tablespace_name, 
 initial_extent/1024 init_KB,
        next_extent/1024 next_KB, 
 ROUND(bytes/1024/1024,1) total_MB, 
 extents,
        (Max_extents-Extents) Allowed_extents,
pct_increase,
 freelists,
 freelist_groups
FROM  dba_segments@@
WHERE  owner not in ('SYS','SYSTEM')
and  extents > 20 ) V1, 
(SELECT EXTENT_MANAGEMENT, ALLOCATION_TYPE, SEGMENT_SPACE_MANAGEMENT,TABLESPACE_NAME  
FROM DBA_TABLESPACES@@) V2
WHERE V1.TABLESPACE_NAME = V2.TABLESPACE_NAME
ORDER  BY extents desc,owner,v1.tablespace_name,segment_name;

REM  ************************************************************************
REM  * End of script
REM  ************************************************************************









