REM ************************************************************************
REM  * ProActive Expoert Service Programs
REM  * Version 1.0
REM  * Copyright(C) 2004.2   WizBase Co., Ltd
REM  ************************************************************************
REM *  FileName  : db_idx_ratio.sql
REM * Author    : KeonTaek.Lee
REM * Created  : 2002.5.21
REM * Last Update  :
REM * Description : Index Information
REM *************************************************************************

PROMPT  ========================================================================
PROMPT  Object Information
PROMPT  ========================================================================
PROMPT    Goal   : 
PROMPT    Action : 
PROMPT    Desc   : ε ι° ÷ where ι°  range  ο
PROMPT       Distinct  ÷ 뼺 δ ޶  ִ.
PROMPT   , ι° ÷ where , Range  Ǹ ̰
PROMPT   Full Scan Ȯ ., where  ι° ÷ 
PROMPT   Range  쵵 .  Rule Base  ̰쵵
PROMPT   Index   Ѵ.
PROMPT    FileName : db_idx_ratio.sql
PROMPT                
REM     Check Point  : INDEX   
PROMPT  ========================================================================

select a.table_owner as Owner,
  SUM(DECODE(SIGN(Y.NUM_DISTINCT - 10), 1, 0, 1)) as LOW_DST_IND,
  count(*) TOT_IND,
  ROUND(SUM(DECODE(SIGN(Y.NUM_DISTINCT - 10), 1, 0, 1))*100 / COUNT(*), 2)||'%' AS IND_Ratio
from dba_tables@@ x,
  dba_tab_columns@@ y,
  dba_indexes@@ a,
  dba_ind_columns@@ b
where a.table_owner = x.owner
  and a.table_owner = b.index_owner
  and x.table_name = a.table_name
  and a.table_name = b.table_name
  and a.index_name = b.index_name
  and x.owner = y.owner
  and x.table_name = y.table_name
  and b.column_name = y.column_name
  AND B.COLUMN_POSITION = 1
group by a.table_owner ;
 

REM  ************************************************************************
REM  * End of script
REM  ************************************************************************


