REM ************************************************************************
REM  * ProActive Expoert Service Programs
REM  * Version 1.0
REM  * Copyright(C) 2004.2   WizBase Co., Ltd
REM  ************************************************************************
REM *  FileName  : db_rbs.sql
REM * Author    : 
REM * Created  : 2001.7.2
REM * Last Update  :
REM * Description : Rollback Segment Information
REM *************************************************************************

PROMPT  ========================================================================
PROMPT  Rollback Segment Information
PROMPT  ========================================================================
PROMPT    Goal   : 
PROMPT    Action : 
PROMPT    Desc   : 
PROMPT    FileName : db_rbs.sql
PROMPT                
PROMPT  ========================================================================
COLUMN  sn    FORMAT a12  HEADING 'SEGMENT NAME'
COLUMN  ow    FORMAT a7  HEADING 'OWNER' 
COLUMN  ts    FORMAT a13  HEADING 'TABLESPACE'
COLUMN  fn    FORMAT a40  HEADING 'FID'
COLUMN  byte_k    FORMAT 99999,999 HEADING 'bytes'

SELECT  d.segment_name sn,
 d.tablespace_name ts,
 d.file_id id,
 s.extents, 
 d.initial_extent/1024 init_KB, 
 d.next_extent/1024 next_KB,
 (s.Rssize/1024) size_KB,
 s.extends,
 s.shrinks,
 s.aveactive,
 s.wraps,
 s.waits,
 d.pct_increase pct, 
 d.min_extents minEx,
 d.max_extents maxEx,
 d.status st
FROM  v$rollname@@ n,
 v$rollstat@@ s,
 dba_rollback_segs@@ d
where  n.usn = s.usn
and  d.segment_name = n.name(+)
order by 1;

REM  ************************************************************************
REM  * End of script
REM  ************************************************************************





