REM ************************************************************************
REM  * ProActive Expoert Service Programs
REM  * Version 1.0
REM  * Copyright(C) 2004.2   WizBase Co., Ltd
REM  ************************************************************************
REM *  FileName  : db_storage_table.sql
REM * Author    : KeonTaek.Lee
REM * Created  : 2002.2.28.
REM * Last Update  :
REM * Description : 
REM *************************************************************************

PROMPT  ========================================================================
PROMPT  Table Storage Parameter Check
PROMPT  ========================================================================
PROMPT    Goal   : 
PROMPT    Action : 
PROMPT    Desc   : 
PROMPT    FileName : db_storage_table.sql
PROMPT                
PROMPT  ========================================================================

SELECT 'TABLE COUNT' ITEM, COUNT(*) COUNT FROM DBA_TABLES@@
WHERE OWNER NOT IN ('SYS','SYSTEM','ORANGE','SCOTT','DBMAX','BIZMAX')
UNION ALL
SELECT 'PCT_USED <> 40' ITEM,COUNT(*) FROM (
SELECT 'PCT_USED <> 40' ITEM, OWNER,TABLE_NAME, TABLESPACE_NAME,PCT_FREE VALUE FROM DBA_TABLES@@
WHERE OWNER NOT IN ('SYS','SYSTEM','ORANGE','SCOTT','DBMAX','BIZMAX')
AND PCT_USED <> 40)
UNION ALL
SELECT 'PCT_FREE <> 10' ITEM,COUNT(*) FROM (
SELECT 'PCT_FREE <> 10' ITEM, OWNER,TABLE_NAME, TABLESPACE_NAME,PCT_FREE VALUE FROM DBA_TABLES@@
WHERE OWNER NOT IN ('SYS','SYSTEM','ORANGE','SCOTT','DBMAX','BIZMAX')
AND PCT_FREE <> 10)
UNION ALL
SELECT 'INI_TRANS > 1',COUNT(*) FROM (
SELECT 'INI_TRANS > 1',OWNER,TABLE_NAME, TABLESPACE_NAME,INI_TRANS VALUE FROM DBA_TABLES@@
WHERE OWNER NOT IN ('SYS','SYSTEM','ORANGE','SCOTT','DBMAX','BIZMAX')
AND  INI_TRANS > 1)
UNION ALL
SELECT 'FREELISTS <> 1',COUNT(*) FROM (
SELECT 'FREELISTS <> 1',OWNER,TABLE_NAME, TABLESPACE_NAME, FREELISTS VALUE FROM DBA_TABLES@@
WHERE OWNER NOT IN ('SYS','SYSTEM','ORANGE','SCOTT','DBMAX','BIZMAX')
AND FREELISTS <> 1)
UNION ALL
SELECT 'FREELIST_GROUPS <> 1',COUNT(*) FROM (
SELECT 'FREELIST_GROUPS <> 1',OWNER,TABLE_NAME, TABLESPACE_NAME,FREELIST_GROUPS VALUE FROM DBA_TABLES@@
WHERE OWNER NOT IN ('SYS','SYSTEM','ORANGE','SCOTT','DBMAX','BIZMAX')
AND FREELIST_GROUPS <> 1)
UNION ALL
SELECT 'PCT_INCREASE <> 0',COUNT(*) FROM (
SELECT 'PCT_INCREASE <> 0',OWNER,TABLE_NAME, TABLESPACE_NAME,PCT_INCREASE VALUE FROM DBA_TABLES@@
WHERE OWNER NOT IN ('SYS','SYSTEM','ORANGE','SCOTT','DBMAX','BIZMAX')
AND PCT_INCREASE <> 0)
UNION ALL
SELECT 'PARALLEL DEGREE <> 1',COUNT(*) FROM (
SELECT 'DEGREE <> 1',OWNER,TABLE_NAME, TABLESPACE_NAME, DEGREE VALUE FROM DBA_TABLES@@
WHERE OWNER NOT IN ('SYS','SYSTEM','ORANGE','SCOTT','DBMAX','BIZMAX')
AND LTRIM(DEGREE) NOT IN  ('1','0'))
UNION ALL
SELECT 'partition table',COUNT(*) FROM (
SELECT DISTINCT TABLE_NAME FROM DBA_TAB_PARTITIONS@@
WHERE TABLE_OWNER NOT IN ('SYS','SYSTEM','ORANGE','SCOTT','DBMAX','BIZMAX')
)
UNION ALL
SELECT 'statistic Exists',COUNT(*) FROM (
SELECT 'statistic Exists',OWNER,TABLE_NAME, TABLESPACE_NAME,  EMPTY_BLOCKS VALUE FROM DBA_TABLES@@
WHERE OWNER NOT IN ('SYS','SYSTEM','ORANGE','SCOTT','DBMAX','BIZMAX')
AND  EMPTY_BLOCKS IS NOT NULL)
UNION ALL
SELECT 'Partition statistic Exists',COUNT(*) FROM (
SELECT 'Partition statistic Exists',TABLE_OWNER,TABLE_NAME, TABLESPACE_NAME,  EMPTY_BLOCKS VALUE FROM DBA_TAB_PARTITIONS
WHERE TABLE_OWNER NOT IN ('SYS','SYSTEM','ORANGE','SCOTT','DBMAX','BIZMAX')
AND  EMPTY_BLOCKS IS NOT NULL);



REM  ************************************************************************
REM  * End of script
REM  ************************************************************************









