REM ************************************************************************
REM  * ProActive Expoert Service Programs
REM  * Version 1.0
REM  * Copyright(C) 2004.2   WizBase Co., Ltd
REM  ************************************************************************
REM *  FileName  : db_ts_free.sql
REM * Author    : 
REM * Created  : 2001.7.2
REM * Last Update  :
REM * Description : Tablespace Free Space
REM *************************************************************************

PROMPT  ========================================================================
PROMPT  Tablespace Free Space (90% ̻  Tablespace Ȳ)
PROMPT  ========================================================================
PROMPT    Goal   : 
PROMPT    Action : 
PROMPT    Desc   : 
PROMPT    FileName : db_ts_free.sql
PROMPT                
PROMPT  ========================================================================

SELECT  t.tn "TS Name", 
 round(t.sizes,2) "Total(MB)",
 round(f.sizes,2) "Free (MB)", 
 round(((f.sizes) /t.sizes) * 100,2) "Pct_Free(%)"
FROM  (select tablespace_name tn, SUM(bytes)/1024/1024 Sizes
  from  dba_data_files@@
  group  by tablespace_name) t,
 (select tablespace_name tn, SUM(bytes)/1024/1024 sizes
  from  dba_free_space@@
  group  by tablespace_name) f 
WHERE  t.tn = f.tn
AND  round((( f.sizes) /t.sizes) * 100,2) < 10
ORDER  BY 4 ; 

REM  ************************************************************************
REM  * End of script
REM  ************************************************************************




