REM	************************************************************************
REM 	*	Expert On-site Review Programs
REM 	*	Version 1.0
REM 	*	Copyright(C) 2001.5   WizBase Co., Ltd
REM 	************************************************************************
REM	* 	FileName 	: rac_global_cache_Block_Trans_ratio.sql
REM	*	Author   	: Hyuncheol.Kim
REM	*	Created		: 2001.7.2
REM	*	Last Update 	:
REM	*	Description	: Global Cache Block Transfer Ratio
REM	*************************************************************************

PROMPT 	========================================================================
PROMPT 	Global Cache Block Transfer Ratio
PROMPT  ========================================================================
PROMPT 	  Goal   :   .
PROMPT 	  Action : 
PROMPT 	  Desc   : ùۿ ĳ  Ͽ  
PROMPT             Remote νϽκ ĳǻ  ۵  Ÿ, 
PROMT                ƼŴ ߵǾ ִ ̴.
PROMPT    FileName : rac_global_cache_Block_Trans_ratio.sql
PROMPT                
PROMPT 	========================================================================

SELECT a.value "global cache gets",
  b.value "global cache converts",
  f.value "g cache cr blocks received",
  g.value "g cache curr blocks received",
  Round(((f.value+g.value)/(a.value+b.value+f.value+g.value))*100,3) "Cache Hit Ratio"
FROM v$sysstat@@ a,
  v$sysstat@@ b,
  v$sysstat@@ f,
  v$sysstat@@ g
WHERE a.name='global cache gets'
  AND b.name='global cache converts'
  AND f.name='global cache cr blocks received'
  AND g.name='global cache current blocks received';

REM 	************************************************************************
REM 	*	End of script
REM 	************************************************************************
