REM	************************************************************************
REM 	*	Expert On-site Review Programs
REM 	*	Version 1.0
REM 	*	Copyright(C) 2001.5   WizBase Co., Ltd
REM 	************************************************************************
REM	* 	FileName 	: rac_global_cache_defer_ratio.sql
REM	*	Author   	: Hyuncheol.Kim
REM	*	Created		: 2001.7.2
REM	*	Last Update 	:
REM	*	Description	: Global Cache Defer Ratio
REM	*************************************************************************

PROMPT 	========================================================================
PROMPT 	Global Cache Defer Ratio
PROMPT  ========================================================================
PROMPT 	  Goal   :   ( >30%̸ ɰ)
PROMPT 	  Action : 
PROMPT 	  Desc   : Block Transfer ۾ ش Ͽ  Waiter ϰų Block
PROMPT             Cleanout۾ ϶   , ̰ Defer Time Ÿ.
PROMPT             LMS  Defer ť   defer time ϰ ȴ. (_gc_defer_time=3(cs), default)
PROMPT             Commit tx ϴ  ؾϴ  Ǵ ش 
PROMPT             б  ڰ  ϰ ִ   ġ Ÿ ȴ.
PROMPT             (OUTPUT  1/100 .)
PROMPT    FileName : rac_global_cache_defer_ratio.sql
PROMPT                
PROMPT 	========================================================================

SELECT a.value "DBWR fusion writes",
  b.value "physical writes",
  f.value "physical writes direct",
  g.value "physical writes direct (lob)",
  Round(((a.value)/DECODE((b.value+f.value+g.value),0,1,(b.value+f.value+g.value)))*100,3) "Defer Ratio"
FROM v$sysstat@@ a,
  v$sysstat@@ b,
  v$sysstat@@ f,
  v$sysstat@@ g
WHERE a.name='DBWR fusion writes'
  AND b.name='physical writes'
  AND f.name='physical writes direct'
  AND g.name='physical writes direct (lob)';

REM 	************************************************************************
REM 	*	End of script
REM 	************************************************************************
