
REM  ************************************************************************
REM *  FileName  : sql_bigobj_in_libcache.sql
REM * Author    : KeonTaek.Lee
REM * Created  : 2002.4.8.
REM * Last Update  :
REM * Description : 
REM *************************************************************************

PROMPT  ========================================================================
PROMPT  library cache cache   ϰ ִ object ˻
PROMPT  ========================================================================
PROMPT  *  Goal   : 
PROMPT  *  Action : literal Ͽ ߿䵵 üũѴ.
PROMPT  *  Desc   : 
PROMPT  *  FileName : sql_bigobj_in_libcache.sql
PROMPT  *  
PROMPT  ========================================================================

 SELECT substr(sql_text,1,40) "Stmt", count(*),
         sum(sharable_mem)    "Mem",
         sum(users_opening)   "Open",
         sum(executions)      "Exec"
   FROM v$sql@@
  GROUP BY substr(sql_text,1,40)
        HAVING sum(sharable_mem) > 100000
        ORDER BY "Mem" DESC;



REM  ************************************************************************
REM  * End of script
REM  ************************************************************************
