
REM  ************************************************************************
REM *  FileName  : 
REM * Author    : 
REM * Created  : 2001.7.2
REM * Last Update  :
REM * Description : 
REM *************************************************************************

PROMPT  *************************************************************************
PROMPT  * CACHE SQL MEMORY SUM
PROMPT  *************************************************************************
PROMPT  *  Goal   : 
PROMPT  *  Action : 
PROMPT  *  Desc   : CACHE SQL 
PROMPT  *  FileName : sql_cache_sql_stat.sql
PROMPT  *       
PROMPT  *************************************************************************

COLUMN  sm   FORMAT 99,999,999.9  HEADING 'Sharable (KB)'   
COLUMN  pm   FORMAT 999,999.9  HEADING 'Persistent (KB)'   
COLUMN  rm   FORMAT 99,999,999.9  HEADING 'Runtime (KB)'   
COLUMN  exe   FORMAT 999,999   HEADING 'EXEs (K)'   
COLUMN  pc   FORMAT 999,999   HEADING 'Calls (K)'   
COLUMN  dr   FORMAT 9,999,999  HEADING 'DISK (K)'   
COLUMN  bg   FORMAT 99,999,999  HEADING 'Buff (K)'   
COLUMN  rp   FORMAT 9,999,999  HEADING 'Rows (K)'   

SELECT  sum(sharable_mem)/1024  "Sharable (KB)",
       sum(persistent_mem)/1024 "Persistent (KB)", 
       sum(runtime_mem)/1024 "Runtime (KB)",
       sum(executions)/1000  "EXEs (K)", 
       sum(parse_calls)/1000 "Calls (K)", 
       sum(disk_reads)/1000 "DISK (K)", 
       sum(buffer_gets)/1000 "Buff (K)", 
       sum(rows_processed)/1000 "Rows (K)"
FROM v$sqlarea@@;


REM  ************************************************************************
REM  * End of script
REM  ************************************************************************


