
REM  ************************************************************************
REM *  FileName  : sql_dml_total.sql
REM * Author    : KeonTaek.Lee
REM * Created  : 
REM * Last Update  :
REM * Description : 
REM *************************************************************************

PROMPT  ========================================================================
PROMPT  DML  ߻ϴ OBject ˻
PROMPT  ========================================================================
PROMPT  *  Goal   : 
PROMPT  *  Action : DML ߻ ߿ ̺ üũϰ, initrans freelists, ε
PROMPT  *         Unusable space üũѴ.
PROMPT  *  Desc   : 
PROMPT  *  FileName : sql_dml_total.sql
PROMPT  *  
PROMPT  ========================================================================

SELECT SQL, CNT, EXE_SUM, BG_SUM, DR_SUM, 
  ROUND(EXE_SUM/CNT) Exe_per,
  ROUND(BG_SUM/CNT) Buffer_Gets_Per,
  ROUND(DR_SUM/CNT) Disk_Reads_Per
FROM (
    SELECT SUBSTR(SQL_TEXT, 1, 30) SQL,
      COUNT(*) CNT, SUM(executions) EXE_SUM, SUM(BUFFER_GETS) BG_SUM, SUM(DISK_READS) DR_SUM
    from v$sqlarea@@
    WHERE command_type in (2,6,7)
    GROUP BY SUBSTR(SQL_TEXT, 1, 30)
)
ORDER BY 3 DESC,2 DESC,SQL DESC;

REM  ************************************************************************
REM  * End of script
REM  ************************************************************************







