
REM  ************************************************************************
REM *  FileName  : st_sort_sessratio.sql
REM * Author    : KeonTaek.Lee
REM * Created  : 2002.4.8.
REM * Last Update  :
REM * Description : Literal SQL 
REM *************************************************************************

PROMPT  ========================================================================
PROMPT  Literal SQL 
PROMPT  ========================================================================
PROMPT  *  Goal   : 
PROMPT  *  Action : bind  Ѵ.
PROMPT  *  Desc   : 
PROMPT  *  FileName : sql_literal.sql
PROMPT  *  
PROMPT  ========================================================================


select substr(sql_text, 1, 40) "SQL",
       count(*) cnt,
       sum(executions) "TotExecs",
       sum(sharable_mem) mem,
       min(first_load_time) start_time,
       max(first_load_time) end_time,
       max(hash_value) hash,
       max(module) module  
from v$sqlarea@@
where executions < 5
group by substr(sql_text, 1, 40)
having count(*) > 30
order by 4 desc;



REM  ************************************************************************
REM  * End of script
REM  ************************************************************************



