
REM 	************************************************************************
REM	* 	FileName 	: 
REM	*	Author   	: 
REM	*	Created		: 2001.7.2
REM	*	Last Update 	:
REM	*	Description	: 
REM	*************************************************************************

PROMPT 	*************************************************************************
PROMPT 	*	Process Report
PROMPT 	*************************************************************************
PROMPT 	*  Goal   : 
PROMPT 	*  Action : 
PROMPT  *  Desc   :  α׷ 
PROMPT  *  FileName : sql_process_rpt.sql
PROMPT  *       
PROMPT 	*************************************************************************

COLUMN	Program			FORMAT A20		HEADING "Program"
COLUMN	Command			FORMAT A10		HEADING "Command"
COLUMN	username		FORMAT A8		HEADING "UserName"
COLUMN	OraUsr			FORMAT A8		HEADING "Ora User"
COLUMN	terminal		FORMAT A10		HEADING "Terminal"

SELECT 	p.pid,     p.spid,     p.username,     s.username OraUsr,
     	decode(s.terminal, NULL, p.terminal, s.terminal) Terminal,
     	decode(s.program, NULL, p.program, s.program) Program,
     	p.latchwait,     s.lockwait,
     	decode(s.command,0,'None',NVL(a.name,'Unknown')) Command
FROM 	audit_actions@@ a, 
	v$process@@ p, 
	v$session@@ s
WHERE 	s.paddr = p.addr
AND 	a.action(+) = s.command
ORDER 	BY pid;

REM 	************************************************************************
REM 	*	End of script
REM 	************************************************************************
