
REM  ************************************************************************
REM *  FileName  : st_UndoTS_Max_Size_3Hour.sql
REM * Author    : KeonTaek.Lee
REM * Created  : 2002.7.26
REM * Last Update  :
REM * Description : 
REM *************************************************************************


SELECT /*+ NO_MERGE(B) */ A.*, 
    ROUND(UNDO_TS_SIZE/1024/1024,1) UNDO_TS_SIZE_MB,
    ROUND(UNDO_TS_SIZE/1024/1024/1024,1) UNDO_TS_SIZE_GB,
    B.*
FROM (
    SELECT A.*, UPS * (3*3600) * 8192 UNDO_TS_SIZE -- UPS :  ʴ  Undo Block,  3*3600 : 3ð,   8192 : 8K Block
    FROM (
        SELECT
            TO_CHAR(SYSDATE,'YYMMDD-HH24MISS') TIMESTAMP,
            SUM(UNDOBLKS) UNDOBLKS,
            TO_CHAR(MIN(BEGIN_TIME),'YYMMDD-HH24MISS') START_TIME,
            TO_CHAR(MAX(END_TIME),'YYMMDD-HH24MISS') END_TIME,
            ROUND((MAX(END_TIME)-MIN(BEGIN_TIME)) * 24,1) DELTA_HOUR,
            ROUND((MAX(END_TIME)-MIN(BEGIN_TIME)) * 1440,1) DELTA_MIN,
            ROUND((MAX(END_TIME)-MIN(BEGIN_TIME)) * 86400,1) DELTA_SEC,
            ROUND((SUM(UNDOBLKS)/((MAX(END_TIME)-MIN(BEGIN_TIME))* 86400)) ,1) UPS
        FROM V$UNDOSTAT@@
--        WHERE BEGIN_TIME >= SYSDATE -1  -- Ϸ Ÿ .
--        WHERE BEGIN_TIME = TO_DATE('2005/11/21 20:01:34','YYYY/MM/DD HH24:MI:SS')  -- MAX_UNDO_TIME
        WHERE BEGIN_TIME =(SELECT BEGIN_TIME FROM V$UNDOSTAT WHERE UNDOBLKS = (SELECT MAX(UNDOBLKS) FROM V$UNDOSTAT WHERE BEGIN_TIME >= SYSDATE -1)) -- MAX_UNDO_TIME
        ) A
    ) A, (SELECT TABLESPACE_NAME, 
    ROUND(SUM(BYTES)/1024/1024,1) MB,
    ROUND(SUM(BYTES)/1024/1024/1024,1) GB
FROM DBA_DATA_FILES@@
WHERE TABLESPACE_NAME LIKE 'UNDO%'
GROUP BY TABLESPACE_NAME) B;


REM  ************************************************************************
REM  * End of script
REM  ************************************************************************