
REM 	************************************************************************
REM	* 	FileName 	: st_libcache_stat.sql
REM	*	Author   	: 
REM	*	Created		: 2001.7.2
REM	*	Last Update 	:
REM	*	Description	: Library Cache Statistics
REM	*************************************************************************

PROMPT 	========================================================================
PROMPT 	Library Cache Statistics #1
PROMPT 	========================================================================
PROMPT    Goal   : SQL AREA : 4 NameSpace > 95%
PROMPT 	  Action : 
PROMPT 	  Desc   : 
PROMPT    FileName : st_libcache_stat1.sql
PROMPT               
PROMPT 	========================================================================

COLUMN 	gethitratio		FORMAT	999.99	HEADING "%GetHit"
COLUMN 	pinhitratio		FORMAT	999.99	HEADING "%PinHit"
COLUMN  gets			FORMAT 99,999,999,999
COLUMN  pins			FORMAT 99,999,999,999

SELECT	namespace "Library",
	gets,
	round(gethitratio,2) gethitratio,
	pins,
	round(pinhitratio,2) pinhitratio,
	reloads,
	invalidations
FROM	v$librarycache@@;


REM 	************************************************************************
REM 	*	End of script
REM 	************************************************************************
