
REM  ************************************************************************
REM *  FileName  : st_logbuff_content.sql
REM * Author    : 
REM * Created  : 2001.7.2
REM * Last Update  :
REM * Description : Redo log buffer space contention
REM *************************************************************************

PROMPT  ========================================================================
PROMPT  Redo log buffer space contention
PROMPT  ========================================================================
PROMPT    Goal   : 0.01% 
PROMPT    Action : LOG_BUFFER  ÷ְų  Log File ũ⸦ ÷ش.
PROMPT    Desc   : 
PROMPT    FileName : st_logbuff_content.sql
PROMPT               
PROMPT  ========================================================================


select sum(decode(name,'redo buffer allocation retries',value,0)) "redo buffer allocation retries",
 sum(decode(name,'redo log space requests',value,0)) "redo log space requests",
 sum(decode(name,'redo entries',value,0)) "redo entries",
 trunc(sum(decode(name,'redo buffer allocation retries',value,0))*100/sum(decode(name,'redo entries',value,0)),8) "Log Buffer Retry Ratio",
 trunc(sum(decode(name,'redo log space requests',value,0))*100/sum(decode(name,'redo entries',value,0)),8) "Log Space Request Ratio"
from v$sysstat@@;

------------------------------------------------------------------------------------
  μ  Redo Log Buffer  Ǿ߸ Redo Record Block 
  ִ. , ù redo allocation latch Ҵ ް   redo copy latch 䱸Ѵ. 
,  log_small_entry_max_size  Ʈ鸸 redo copy latch   ִ.


- Log Space Request Ratio

redo log space request / redo entries    0.01% ũٸ  Redo log buffer
 ʹ Ƿ log_buffers Ѿ ϸ 

- Log Buffer Retry Ratio
redo buffer allocation retries / redo entries   0.01%  ũٸ Log 
ġ ȿ ϰ Ͼ ִٴ  Redo log file ũ⸦ 
Ѿ Ѵ



REM  ************************************************************************
REM  * End of script
REM  ************************************************************************


