
REM 	************************************************************************
REM	* 	FileName 	: st_mpool_hit8.sql
REM	*	Author   	: 
REM	*	Created		: 2001.7.2
REM	*	Last Update 	:
REM	*	Description	: Multiple Buffer Pool Hit Ratio (V8, V8i)
REM	*************************************************************************
REM 	*  Desc   : KEEP    : ݺؼ Accessϴ Block
REM 	*         : RECYCLE :  ʴ Block 
REM 	*         : DEFAULT : 
REM 	*         
REM 	*           SET_COUNT : Latch  
REM 	*  	    BUFFERS   : 0̸   , SET_COUNT ǹ .
REM 	========================================================================


PROMPT 	========================================================================
PROMPT 	Multiple Buffer Pool Hit Ratio (V8, V8i)
PROMPT 	========================================================================
PROMPT 	*  Goal   : KEEP    : 100%
PROMPT 	*         : RECYCLE : > 50% (۰ )
PROMPT 	*         : DEFAULT : 90% ̻
PROMPT  *  : @?/rdbms/admin/catperf.sql
PROMPT 	*  Action : 
PROMPT 	*  Desc   : KEEP    : ݺؼ Accessϴ Block
PROMPT 	*         : RECYCLE :  ʴ Block 
PROMPT 	*         : DEFAULT : 
PROMPT 	*         
PROMPT 	*           SET_COUNT : Latch  
PROMPT 	*  	    BUFFERS   : 0̸   , SET_COUNT ǹ . 
PROMPT  *  FileName : st_mpool_hit8.sql
PROMPT  * 
PROMPT 	========================================================================

SELECT	name,
	round((1-(physical_reads/(db_block_gets+consistent_gets)))*100,2) "Hit_Ratio"
FROM	v$buffer_pool_statistics@@
WHERE	db_block_gets + consistent_gets > 0;


REM 	************************************************************************
REM 	*	End of script
REM 	************************************************************************
