
REM  ************************************************************************
REM *  FileName  : st_rbs_contention.sql
REM * Author    : KTLee
REM * Created  : 2002. 1. 10.
REM * Last Update  :
REM * Description : Rollback Segment  Wait Ratio
REM *************************************************************************

PROMPT  ========================================================================
PROMPT  Rollback Segment Wait Ratio
PROMPT  ========================================================================
PROMPT    Goal   : 1%.
PROMPT    Action : RBS  ÷ش.
PROMPT    Desc   :   n : tx    n<16 => rbs 4ea, 16<n<32 => rbs 8ea, n > 32 => rbs : n/4
PROMPT    FileName : st_rbs_contention.sql
PROMPT                
PROMPT  ========================================================================

SELECT ROUND(A.SCNT*100/B.SCNT, 5) ratio
FROM (
    SELECT SUM(CNT) SCNT
    FROM (
        SELECT class,
          count CNT
        FROM v$waitstat@@
        WHERE class IN ('system undo header', 'system undo block', 'undo header' , 'undo block'))) A ,
  (
    SELECT SUM(value) SCNT
    FROM v$sysstat@@
    WHERE name IN ('db block gets', 'consistent gets')) B;

REM  ************************************************************************
REM  * End of script
REM  ************************************************************************




