
REM     ************************************************************************
REM     *       FileName        : st_sort_sessratio.sql
REM     *       Author          : 
REM     *       Created         : 2001.7.2
REM     *       Last Update     :
REM     *       Description     : Disk sort ratio & Avarage rows
REM     *************************************************************************

PROMPT  ========================================================================
PROMPT  Disk sort ratio (Session) (V7)
PROMPT  ========================================================================
PROMPT    Goal   : < 1%
PROMPT    Action : SORT_AREA_SIZE  ÷ش.
PROMPT    Desc   :
PROMPT    FileName : st_sort_sessratio7.sql
PROMPT
PROMPT  ========================================================================

SELECT  username,
        osuser,
        sd.value "Disk",
        sm.value "Memory",
        sr.value "Rows",
        round(sr.value/decode((sd.value+sm.value),0,1,(sd.value+sm.value)),2) avg_rows,
        round(sd.value/decode(sm.value,0,1,sm.value),2) disk_ratio
FROM    v$session@@ s,
        v$sesstat@@ sd,
        v$sesstat@@ sm,
        v$sesstat@@ sr
WHERE   s.sid = sd.sid
AND     s.sid = sm.sid
AND     s.sid = sr.sid
AND     sm.statistic# =139
AND     sd.statistic# =140
AND     sr.statistic# =141
AND     s.type != 'BACKGROUND';


REM     ************************************************************************
REM     *       End of script
REM     ************************************************************************
