
REM  ************************************************************************
REM *  FileName  : st_sort_usage.sql
REM * Author    : KeonTaek.Lee
REM * Created  : 2002.7.26
REM * Last Update  :
REM * Description : 
REM *************************************************************************


SELECT 
A.SEGTYPE
,A."USER" username
,(SUM(A.BLOCKS)*(MAX(B.VALUE)))/1024/1024 MB
 FROM V$SORT_USAGE A, V$SYSTEM_PARAMETER B
 WHERE B.NAME = 'db_block_size'
GROUP BY A.SEGTYPE
, A."USER"
ORDER BY COUNT(*) DESC ;


REM  ************************************************************************
REM  * End of script
REM  ************************************************************************


