
REM  ************************************************************************
REM *  FileName  : st_stats_table.sql
REM * Author    : 
REM * Created  : 2001.7.2
REM * Last Update  :
REM * Description : statistic Table Status
REM *************************************************************************

SELECT A.OWNER, A.Total, b." Exists" FROM
(SELECT OWNER, COUNT(*) " Exists" FROM DBA_TABLES@@
WHERE OWNER NOT IN ('SYS','SYSTEM','ORANGE','SCOTT','DBMAX','BIZMAX')
AND  EMPTY_BLOCKS IS NOT NULL
GROUP BY OWNER) B,
(SELECT OWNER, COUNT(*) Total FROM DBA_TABLES@@
GROUP BY OWNER) A
WHERE B.OWNER = A.OWNER;


REM  ************************************************************************
REM  * End of script
REM  ************************************************************************
