
REM 	************************************************************************
REM	* 	FileName 	: st_workarea_optimal_ratio.sql
REM	*	Author   	: 
REM	*	Created		: 2005.4.9
REM	*	Last Update 	: 
REM	*	Description	: WorkArea Optimal Ratio
REM	*************************************************************************

SELECT 
trunc(sum(case when name like 'workarea executions - optimal' then value else 0 end) * 100 / 
(sum(case when name like 'workarea executions - optimal' then value else 0 end) + 
sum(case when name like 'workarea executions - onepass' then value else 0 end) + 
sum(case when name like 'workarea executions - multipass' then value else 0 end) ) 
) optimal_percent
FROM v$sysstat@@
WHERE name like 'workarea executions - %';

REM 	************************************************************************
REM 	*	End of script
REM 	************************************************************************
